Bug 593069

Summary: Review Request: ** experimental ** pynie - Implementation of Python 3 on top of the Parrot virtual machine
Product: [Fedora] Fedora Reporter: Dave Malcolm <dmalcolm>
Component: Package ReviewAssignee: Tim Lauridsen <tla>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: allison, fedora-package-review, gp, notting, tla
Target Milestone: ---Flags: tla: fedora‑review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-24 12:17:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Dave Malcolm 2010-05-17 14:38:01 EDT
Spec URL: http://dmalcolm.fedorapeople.org/python-packaging/pynie.spec
SRPM URL: http://dmalcolm.fedorapeople.org/python-packaging/pynie-0.0.r114-1.fc13.src.rpm

Description:
Pynie is an implementation of Python 3 on top of the Parrot virtual machine.

Successful scratch build in Koji here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2192819

rpmlint output on a local build on my machine:
pynie.x86_64: W: incoherent-version-in-changelog 0.1-1 ['0.0.r114-1.fc13', '0.0.r114-1']
pynie-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

The former is inconsequential (dist tag)
Re the latter: I'm not sure why it isn't picking up the sources.  Possibly a missing "-g" flag in the invocation of gcc by pbc_to_exe
Comment 1 Dave Malcolm 2010-05-19 14:01:57 EDT
Allison: hi - thanks for Pynie!  Is it too early to be packaging yet?

(I suspect that I need to add more of an indication to the metadata about the early stage of pynie's development, in case someone tries to run Django on top of it, or somesuch; e.g. adding "experimental" to the Summary and Description)
Comment 2 Gerd Pokorra 2010-05-20 04:37:33 EDT
Rakudo and Parrot RPMs will be updated every month. I ask every month for a build root override to have no broken dependences with librarys between Rakudo and Parrot. For having no broken dependences between Parrot and Pynie we need pynie sources that build on the monthly releases of Parrot.
Comment 3 Gerd Pokorra 2010-05-21 02:37:47 EDT
Parrot is a virtual machine. It is general designed as a targed for dynamic
languages. All HLL can use Parrot. It has a powerful suite of compiler tools.
It would be nice if some Python programmers could be activated to
implemening a Python compiler on Parrot.
I think announcing Pynie would motivate Python programmers to join Parrot.
Where are the best places to accounce Pynie in the Python community?

Dave: Would you do that?

May be http://bitbucket.org/allison/pynie is a place where Python programmers
can hacking on an implemention of a Python compiler on top of Parrot.
(Vision: http://www.pynie.org)
Comment 4 Dave Malcolm 2010-05-21 10:27:02 EDT
> I think announcing Pynie would motivate Python programmers to join Parrot.
> Where are the best places to accounce Pynie in the Python community?
(FWIW I heard about it via Allison's talk at PyCon in Atlanta, 3 months ago)
Comment 5 Tim Lauridsen 2010-05-23 02:40:37 EDT
I will review this one
Comment 6 Tim Lauridsen 2010-05-23 02:41:12 EDT
[*] : MUST: rpmlint must be run on every package. The output should be posted in the review.
[*] : MUST: The package must be named according to the Package Naming Guidelines .
[*] : MUST: The spec file name must match the base package %{name}
[*] : MUST: The package must meet the Packaging Guidelines .
[*] : MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[*] : MUST: The License field in the package spec file must match the actual license.
[*] : MUST: license(s) in %doc.
[*] : MUST: The spec file must be written in American English.
[*] : MUST: The spec file for the package MUST be legible. [6]
[*] : MUST: The sources used to build the package must match the upstream source
 - SVN checkout so not possible make MD5SUM of upstream tarball.
[*] : MUST: Package compile on all supported archs.
[*] : MUST: All build dependencies must be listed in BuildRequires
[*] : MUST: No locales.
[*] : MUST: No shared lib
[*] : MUST: no bundled copies of system libraries.
[*] : MUST: package is not relocatable.
[*] : MUST: A package must own all directories that it creates.
[*] : MUST: No duplicate %files entries
[*] : MUST: Permissions is set properly. ( %defattr(...) )
[*] : MUST: Each package must consistently use macros. 
[*] : MUST: The package must contain code, or permissable content. 
[*] : MUST: no large documentation files
[*] : MUST: %doc files don affect runtime
[*] : MUST: no header files
[*] : MUST: No Static libraries
[*] : MUST: No library files
[*] : MUST: No devel package
[*] : MUST: NO .la libtool archives.
[*] : MUST: not a gui app.
[*] : MUST: package dont own files/dirs owned by other packages.
[*] : MUST: All filenames in rpm packages must be valid UTF-8. 



SHOULD Items:
[*] : SHOULD: Package include license text.
[*] : SHOULD: The reviewer should test that the package builds in mock.
 - Package builds in koji.
[*] : SHOULD: The package should compile and build into binary rpms on all supported architectures. 
[*] : SHOULD: no scriptlets
[*] : SHOULD: no subpackages
[*] : SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
[X] : SHOULD: your package should contain man pages for binaries/scripts.
 - Man pages would be nice, but not a blocker.
Comment 7 Tim Lauridsen 2010-05-23 02:43:39 EDT
APPROVED
Comment 8 Gerd Pokorra 2010-05-24 10:22:53 EDT
An official release of Pynie will appear in a few months. It is better to wait for it to not having needless trouble with broken dependences. It is
explained in comment 2.
Comment 9 Dave Malcolm 2010-05-24 12:17:04 EDT
Tim: thanks for reviewing this.

Gerd: thanks for your input.

Based on private email and comment #8, it appears that upstream would prefer it if we held off from shipping this within Fedora until Pynie does an official release.

So we're going to hold off on this for now.  I'm going to close this review with the resolution "DEFERRED" until there's an official upstream release of Pynie.

At that point we can reopen this review.  It may be that we need to update the specfile somewhat based on upstream changes to the code, so the packaging may need doublechecking at that point.

Hope this sounds sane.